View Issue Details

IDProjectCategoryView StatusLast Update
0003431FreeCADBugpublic2018-11-16 16:23
ReporterDeepSOICAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003431: Drag-dropping bug that can make a Part contain itself
DescriptionDragging a sketch that is attached to a Part, into that very Part, makes Part contain itself, and also creates a dependency loop.

reported by @docgreg
https://forum.freecadweb.org/viewtopic.php?f=8&t=28097
Steps To Reproduce1. Add Part.
2. (if Part-o-magic) leave Part.
3. Select Part, make a sketch (sketcher wb). Select ObjectXY attachment mode. Close the sketch.
4. Drag sketch into Part
-> Part contains itself
-> Part contains sketch which depends on Part

==== Part uses: ====
Part as Group (Child) #Part contains itself!
Sketch as Group (Child)
Origin as Origin (Child)

====Links to Part:====
Part.Group (Child)
Sketch.Support (Sublink) #Sketch is attached to Part, making a circluar dependency


Also, dependency graph doesn't show the whole extent of the problem. It also displays origin features as not being contained by anything, but they are still linked into Part as they should.
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13509 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 0258808ccb6ba3bd5ea9312f79cd023f1a8671b7
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: German/Germany (de_DE)
Tagscontainers

Activities

wmayer

2018-04-22 09:54

administrator   ~0011177

There is also this warning:
Attacher: linked object Part is unexpected, assuming it has no shape.

wmayer

2018-11-16 16:23

administrator   ~0012201

https://github.com/FreeCAD/FreeCAD/commit/f89b99639685fd386e7e792fd16ebfb281609148

Issue History

Date Modified Username Field Change
2018-04-15 01:35 DeepSOIC New Issue
2018-04-15 01:35 DeepSOIC Tag Attached: containers
2018-04-22 09:54 wmayer Status new => confirmed
2018-04-22 09:54 wmayer Note Added: 0011177
2018-11-16 16:23 wmayer Assigned To => wmayer
2018-11-16 16:23 wmayer Status confirmed => closed
2018-11-16 16:23 wmayer Resolution open => fixed
2018-11-16 16:23 wmayer Fixed in Version => 0.18
2018-11-16 16:23 wmayer Note Added: 0012201